<?php
////////////////////////////////////////////////////////////////////////
// Breeze Website Builder
// Copyright Silver Dolphin Solutions, LLC, Edward Lemmers, P.E.
// For licensing, see license.txt.
// Created: 3/1/2015	ELL

///////////////////////// Calendar and Events /////////////////////////
// Buttons:
define('CALENDAR_EVENTS_HEADING', "Manage Events");
define('CALENDAR_EVENTS_REVISE_SCHEDULE_BTN', "Manage Events");
define('CALENDAR_EVENTS_ADD_EVENT_BTN', "Add New Event");
define('MANAGE_EVENT_CATEGORY_HEADING', "Category");
define('MANAGE_EVENT_CATEGORIES_BTN', "Manage Categories");
define('MANAGE_EVENT_CATEGORIES_BACK_BTN', "Back to Manage Events");
define('MANAGE_LOCATIONS_HEADING', "Manage Locations");
define('MANAGE_LOCATIONS_BTN', "Manage Locations");
// Console Text:
define('CALENDAR_EVENTS_SAVE_INSTRUCTIONS', "Note: Changes will not be recorded unless you select");
define('CALENDAR_EVENTS_DATE_FORMAT', "(YYYY-mm-dd)");
define('CALENDAR_EVENTS_START_TIME', "Start Time");
define('CALENDAR_EVENTS_END_TIME', "End Time");
define('CALENDAR_EVENTS_SHOW_HEBREW_DATES', "Show Hebrew Dates");
define('CALENDAR_EVENTS_HIDE_HEBREW_DATES', "Hide Hebrew Dates");
define('CALENDAR_EVENTS_IS_RECURRING_EVENT', "Is this a recurring event?");
define('CALENDAR_EVENTS_SELECT_EVENT', "Select Event");
define('CALENDAR_EVENTS_CREATE_NEW_EVENT', "Create New Event");
define('CALENDAR_EVENTS_CATEGORIES', "Categories");
define('CALENDAR_EVENTS_EVENT_NAME', "Event Name");
define('CALENDAR_EVENTS_EXAMPLE', "Example: Birthday Party");
define('CALENDAR_EVENTS_EVENT_DATE', "Event Date");
define('CALENDAR_EVENTS_END_DATE', "End Date");
define('CALENDAR_EVENTS_THIS_EVENT_REPEATS', "This event repeats");
define('CALENDAR_EVENTS_DAILY', "Daily");
define('CALENDAR_EVENTS_WEEKLY', "Weekly");
define('CALENDAR_EVENTS_MONTHLY', "Monthly");
define('CALENDAR_EVENTS_YEARLY', "Yearly");
define('CALENDAR_EVENTS_MON', "Mon");
define('CALENDAR_EVENTS_TUE', "Tue");
define('CALENDAR_EVENTS_WED', "Wed");
define('CALENDAR_EVENTS_THU', "Thu");
define('CALENDAR_EVENTS_FRI', "Fri");
define('CALENDAR_EVENTS_SAT', "Sat");
define('CALENDAR_EVENTS_SUN', "Sun");
define('CALENDAR_EVENTS_FIRST', "first");
define('CALENDAR_EVENTS_SECOND', "second");
define('CALENDAR_EVENTS_THIRD', "third");
define('CALENDAR_EVENTS_FOURTH', "fourth");
define('CALENDAR_EVENTS_LAST', "last");
define('CALENDAR_EVENTS_EACH_EVENT_SPANS_DAYS_1', "Each event spans");
define('CALENDAR_EVENTS_EACH_EVENT_SPANS_DAYS_2', "day(s)");
define('CALENDAR_EVENTS_EVENT_TIME', "Event Time");
define('CALENDAR_EVENTS_START_TIME', "Start Time");
define('CALENDAR_EVENTS_END_TIME', "End Time");
define('CALENDAR_EVENTS_AM', "am");
define('CALENDAR_EVENTS_PM', "pm");
define('CALENDAR_EVENTS_ALL_DAY_EVENT', "This is an all day event");
define('CALENDAR_EVENTS_LOCATION', "Location");
define('CALENDAR_EVENTS_TYPING_LOCATION_SEARCH_1', "Start typing to search for existing locations, or create a");
define('CALENDAR_EVENTS_TYPING_LOCATION_SEARCH_2', "new location");
define('CALENDAR_EVENTS_SELECT_CITY', "select city");
define('MANAGE_LOCATIONS_ALL_CITIES', "-all cities-");
define('CALENDAR_EVENTS_LOCATION_NOT_FOUND', "Location not found");
define('CALENDAR_EVENTS_CREATE_NEW_LOCATION', "Create a new location");
define('CALENDAR_EVENTS_BUSINESS_NAME', "Business Name");
define('CALENDAR_EVENTS_BUSINESS_ADDRESS', "Business Street Address");
define('CALENDAR_EVENTS_CITY', "City");
define('CALENDAR_EVENTS_STATE', "State/Province");
define('CALENDAR_EVENTS_COUNTRY', "Country");
define('CALENDAR_EVENTS_ZIP_CODE', "Zip Code");
define('CALENDAR_EVENTS_BIZ_PHONE', "Business Phone Number");
define('MANAGE_LOCATION_PHONE_2', "Phone Number 2");
define('MANAGE_LOCATION_FAX', "Fax");
define('CALENDAR_EVENTS_WEB_ADDRESS', "Business Web Address");
define('CALENDAR_EVENTS_WEB_ADDRESS_TEXT', "Link Text for Website (optional)");
define('CALENDAR_EVENTS_EMAIL', "Contact Email");
define('CALENDAR_EVENTS_EVENT_DESCRIPTION', "Event Description");
define('CALENDAR_EVENTS_DELETE_GROUP', "Delete Group");
define('CALENDAR_EVENTS_SELECT_LOCATION', "select location");
define('CALENDAR_EVENTS_LOCATION_BUSINESS', "Location/Business");
define('CALENDAR_EVENTS_ON_OR_AFTER', "On or After");
define('CALENDAR_EVENTS_SHOW_CHILD_EVENTS', "Show Child Events");
define('CALENDAR_EVENTS_SHOW_PENDING', "Show Pending");
define('CALENDAR_EVENTS_SELECT_FILTERING_OPTIONS', "Select Filtering Options");
define('MANAGE_EVENT_CATEGORIES_CATEGORY', "Category");
define('MANAGE_EVENT_CATEGORIES_CATEGORY_STRING', "Category Descriptive String");
define('MANAGE_EVENT_CATEGORIES_CATEGORY_ATTRIBUTES', "Category Attributes");
define('MANAGE_EVENT_CATEGORIES_EVENT_TYPE', "Event");
define('MANAGE_EVENT_CATEGORIES_LOCATION_TYPE', "Location");
define('MANAGE_LOCATION_FILTER_BY_CITY', "Filter By City");
define('MANAGE_LOCATION_SELECT_LOCATION', "Select Location");
define('MANAGE_LOCATION_CREATE_NEW_LOCATION', "Create New Location");
define('CALENDAR_EVENTS_SAVE_AND_CLOSE', "Save and Close");
define('CALENDAR_EVENTS_PRIVATE', "Private");
define('MANAGE_LOCATION_ADDRESS', "Address");
define('MANAGE_LOCATION_PHONE', "Phone");
define('MANAGE_LOCATION_EMAIL', "Email");
define('MANAGE_LOCATION_WEBSITE', "Website");
define('CALENDAR_EVENTS_SAVE_TO_BAT', "Save to Bee Around Town");
define('EDIT_BAT_LOGIN_BTN', "Edit Bee Around Town Login");
define('CALENDAR_EVENTS_BAT_USERID', "User ID (email)");
define('CALENDAR_EVENTS_BAT_LOGIN_FRM_INFO', "Enter your email and password you use to access the <b>BeeAroundTown.com</b> website.  If you do not have an account at BeeAroundTown.com, click <a href='http://beearoundtown.com/create-account.php' target='_blank'><b>here</b></a> to create an account.<br /><br />You will also need to have at least one of the categories in the BeeAroundTown.com defined on this website.  Click the '<b>Manage Categories</b>' button to define a category.  The categories on the BeeAroundTown.com site are <b>Dining, Entertainment, Recreation, Family, Business</b> and <b>Culture</b>.");
// Popup Messages:
define('CALENDAR_EVENTS_NO_RECORDS_FOUND_MSG', "No events found for this month.");
define('CALENDAR_EVENTS_DELETE_EVENT_CONFIRM_1_MSG', "Are you sure you want to delete the");
define('CALENDAR_EVENTS_DELETE_EVENT_CONFIRM_2_MSG', "event?");
define('CALENDAR_EVENTS_DATE_FORMAT_MSG', "Please fill in the date in the format of 'yyyy-mm-dd'.");
define('CALENDAR_EVENTS_COULD_NOT_DELETE_EVENT_MSG', "No records found. Could not delete event.");
define('CALENDAR_EVENTS_LOCATING_EVENTS_MSG', "Locating events...");
define('CALENDAR_EVENTS_EVENT_DELETED_MSG', "Event deleted");
define('CALENDAR_EVENTS_DELETING_EVENT_MSG', "Deleting event...");
define('CALENDAR_EVENTS_COULD_NOT_UPDATE_EVENT_MSG', "No records found. Could not update event.");
define('CALENDAR_EVENTS_EVENT_UPDATED_MSG', "Event updated");
define('CALENDAR_EVENTS_UPDATING_EVENT_MSG', "Updating event...");
define('CALENDAR_EVENTS_COULD_NOT_UPDATE_USER_LISTS_MSG', "No records found. Could not update user lists.");
define('CALENDAR_EVENTS_USER_LIST_UPDATED_MSG', "User lists updated");
define('CALENDAR_EVENTS_UPDATING_USER_LIST_MSG', "Updating user lists...");
define('CALENDAR_EVENTS_MEMORY_LIMIT_ERR', "You have reached the memory limit of the number of events that can be added in one session.  To continue, save any unsaved events and refresh the page.");
define('CALENDAR_EVENTS_STARTING_USER_QUERY_MSG', "Starting user query...");
define('CALENDAR_EVENTS_DELETE_ALL_EVENTS_CONFIRM_1_MSG', "Are you sure you want to delete all of the events associated with the");
define('CALENDAR_EVENTS_DELETE_ALL_EVENTS_CONFIRM_2_MSG', "event?");
define('CALENDAR_EVENTS_RETRIEVING_EVENT_MSG', "Retrieving event...");
define('CALENDAR_EVENTS_POPULATING_EVENT_COMPLETED_MSG', "Populating event completed.");
define('CALENDAR_EVENTS_POPULATING_LOCATION_COMPLETED_MSG', "Populating location completed.");
define('CALENDAR_EVENTS_SEARCH_LOCATION_COMPLETED_MSG', "Search location completed.");
define('CALENDAR_EVENTS_GET_LOCATION_ID_COMPLETED_MSG', "Get location ID completed.");
define('CALENDAR_EVENTS_SAVE_NEW_LOCATION_COMPLETED_MSG', "Save new location completed.");
define('CALENDAR_EVENTS_SAVE_EVENT_COMPLETED_MSG', "Save event completed.");
define('CALENDAR_EVENTS_LOCATION_CITY_LIST_UPDATED_MSG', "Location cities list updated.");
define('CALENDAR_EVENTS_EVENTS_LIST_UPDATED_MSG', "Events list updated.");
define('CALENDAR_EVENTS_POPULATING_EVENT_MSG', "Populating event...");
define('CALENDAR_EVENTS_RETRIEVING_LOCATION_MSG', "Retrieving location...");
define('CALENDAR_EVENTS_POPULATING_LOCATION_MSG', "Populating location...");
define('CALENDAR_EVENTS_GETTING_LOCATION_CITIES_MSG', "Getting location cities...");
define('CALENDAR_EVENTS_UPDATING_LOCATION_CITIES_MSG', "Updating location cities...");
define('CALENDAR_EVENTS_SAVING_EVENT_MSG', "Saving event...");
define('CALENDAR_EVENTS_SAVING_NEW_LOCATION_MSG', "Saving new location...");
define('CALENDAR_EVENTS_FILTERING_EVENTS_MSG', "Filtering events...");
define('CALENDAR_EVENTS_CLEARING_FORM_MSG', "Clearing form for new event...");
define('CALENDAR_EVENTS_PLEASE_ENTER_AN_END_DATE_MSG', "Please enter an end date for your event or uncheck the recurring event checkbox.");
define('CALENDAR_EVENTS_PLEASE_ENTER_DESCRIPTION_MSG', "Please enter a description for your event.");
define('CALENDAR_EVENTS_PLEASE_SELECT_CATEGORY_MSG', "Please select at least one category for your event.");
define('CALENDAR_EVENTS_PLEASE_ENTER_LOCATION_MSG', "Please enter a location for this event.");
define('CALENDAR_EVENTS_PLEASE_ENTER_ADDRESS_MSG', "Please enter an address for your new location.");
define('CALENDAR_EVENTS_PLEASE_SELECT_CITY_MSG', "Please select a city for your new location.");
define('CALENDAR_EVENTS_PLEASE_ENTER_ZIP_MSG', "Please enter a zip code for your new location.");
define('CALENDAR_EVENTS_DELETE_ALL_EVENTS_CONFIRM_2_MSG', "event?");
define('MANAGE_EVENT_CATEGORIES_ERROR_RETRIEVING_CATEGORY_ERR', "There was an error retrieving the category.");
define('MANAGE_EVENT_CATEGORIES_SAVED_MSG', "The category has been saved.");
define('MANAGE_EVENT_CATEGORIES_ALL_SAVED_MSG', "The categories have been saved.");
define('MANAGE_EVENT_CATEGORIES_ERROR_SAVING_CATEGORY_ERR', "There was an error saving the category.");
define('MANAGE_EVENT_CATEGORIES_ERROR_SAVING_CATEGORIES_ERR', "There was an error saving the categories.");
define('MANAGE_EVENT_CATEGORIES_ERROR_NO_CATEGORY_ERR', "Category must not be blank.");
define('MANAGE_EVENT_CATEGORIES_ERROR_NO_CATEGORY_STR_ERR', "Category Descriptive String must not be blank.");
define('MANAGE_EVENT_CATEGORIES_DELETE_CONFIRM_MSG_1', "Do you want to delete the");
define('MANAGE_EVENT_CATEGORIES_DELETE_CONFIRM_MSG_2', "category?");
define('MANAGE_EVENT_CATEGORIES_ADD_BEFORE_SAVE_NEW_MSG', "You have a new category which has not been saved.  Please save that category before adding a new one.");
define('CALENDAR_EVENTS_NO_CATEGORIES_FOUND_MSG', "No categories found.");
define('CALENDAR_EVENTS_ENTER_NAME_MSG', "Please enter a name for your event.");
define('CALENDAR_EVENTS_ENTER_START_DATE_MSG', "Please enter a start date for your event.");
define('MANAGE_LOCATION_EDIT_LOCATION', "Edit Location");
define('MANAGE_LOCATION_POPULATE_LOCATION_COMPLETED_MSG', "Populate location completed.");
define('MANAGE_LOCATION_SAVING_LOCATION_MSG', "Saving location...");
define('MANAGE_LOCATION_FILTERING_LOCATIONS_MSG', "Filtering locations...");
define('MANAGE_LOCATION_DELETE_LOCATION_MSG_2', "location?");
define('MANAGE_LOCATION_DELETING_LOCATION_MSG', "Deleting location...");
define('MANAGE_LOCATION_CLEARING_FORM_NOW_LOCATION_MSG', "Clearing form for new location...");
define('MANAGE_LOCATION_PLEASE_ENTER_NAME_MSG', "Please enter a name for your location.");
define('MANAGE_LOCATION_PLEASE_ENTER_ADDRESS_MSG', "Please enter an address for your location.");
define('MANAGE_LOCATION_PLEASE_ENTER_CITY_MSG', "Please enter a city for your location.");
define('MANAGE_LOCATION_PLEASE_ENTER_ZIP_MSG', "Please enter a zipcode for your location.");
define('CALENDAR_EVENTS_EDIT_EVENT_MSG', "Edit Event");
define('CALENDAR_EVENTS_SAVE_TO_BAT_RESULT_MSG_1', "Event ID");
define('CALENDAR_EVENTS_SAVE_TO_BAT_RESULT_MSG_2', "with location ID");
define('CALENDAR_EVENTS_SAVE_TO_BAT_RESULT_MSG_3', "was saved to BeeAroundTownEvent.com event ID");
define('CALENDAR_EVENTS_SAVE_TO_BAT_RESULT_MSG_4', "and BeeAroundTownEvent.com location ID");
?>